/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.constraintModel.util;

/**
 * Enum to define the scope of the selection. 
 * <p>
 * This is used by the refactoring on import declarations to get a single new type for more
 * than one declaration element.
 * </p>
 * 
 * @author Hannes Kegel
 *
 */
public enum Scope {
    SINGLE_DECLARATION_ELEMENT,
    COMPILATION_UNIT,
    PACKAGE,
    PACKAGE_INCLUDING_SUBPACKAGES,
    PROJECT,
    EVERYTHING;
}
