/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.constraintModel.variables;

import org.eclipse.jdt.internal.corext.refactoring.typeconstraints.types.TType;
import org.eclipse.jdt.internal.corext.refactoring.typeconstraints2.ConstraintVariable2;

/**
 * A GenericMethodTypeArgumentVariable stands for the type argument of a generic method.

 * @author Hannes Kegel
 *
 */
public class GenericMethodTypeArgumentVariable extends ConstraintVariable2 {

    /**
     * The single constructor.
     * 
     * @param type the current compiler-inferred type
     */
    public GenericMethodTypeArgumentVariable(TType type) {
        super(type);
    }

    /* (non-Javadoc)
     * @see org.eclipse.jdt.internal.corext.refactoring.typeconstraints2.ConstraintVariable2#toString()
     */
    @Override
    public String toString() {
        String toString= (String) getData(TO_STRING);
        return toString == null ? "[GenericMethodTypeArgumentVariable]" : toString; 
    }
}
