/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.constraintModel.variables;

import org.eclipse.jdt.internal.corext.refactoring.typeconstraints.types.TType;
import org.eclipse.jdt.internal.corext.refactoring.typeconstraints.types.TypeVariable;

/**
 * A type parameter bound variable that is immutable. Currently, all bound
 * variables are immutable.
 *  
 * @author Hannes Kegel
 *
 */
public class ImmutableBoundVariable extends BoundVariable implements IImmutableVariable {

    /**
     * The only constructor.
     * 
     * @param type the bound type
     * @param typeVariable the type variable this is a bound for 
     * @param index the index of bound (not the type variable)
     */
    public ImmutableBoundVariable(TType type, TypeVariable typeVariable, int index) {
        super(type, typeVariable, index);
    }

    /* (non-Javadoc)
     * @see org.intoJ.inferType3.internal.constraintModel.variables.BoundVariable#toString()
     */
    @Override
    public String toString() {
        return "Immutable: " + super.toString();
    }
}
