/**
 * 
 */
package org.intoJ.riwd.multirefac;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

/**
 * @author hannes
 *
 */
public class StartDialog extends MessageDialog {
	
	private boolean excludeTestPackages;
    private String excludePathFragment = "/tests/";
    
    public StartDialog(Shell parentShell) {
        super(parentShell, 
                "RIWD Multi Refac", 
                null, 
                "WARNING!!\nYou are about to refactor your WHOLE project!\nAre you absolutely sure you want to do this? (Backup recommended!)",
                INFORMATION,
                new String[] { "OK", "Cancel" }, 1);
        setBlockOnOpen(true);
    }
    
    public boolean isExcludeTestPackages() {
		return excludeTestPackages;
	}
    
	public String getExcludePathFragment() {
		return excludePathFragment;
	}

	protected Control createCustomArea(Composite composite) {
        Group group = new Group(composite, SWT.NONE);
        group.setText("Options");
        GridData gridData = new GridData(SWT.FILL, SWT.FILL, true, false);
        gridData.verticalIndent = 8; 
        group.setLayoutData(gridData);
        
        GridLayout gridLayout2 = new GridLayout(1, false);
        gridLayout2.verticalSpacing = 8;
        gridLayout2.marginTop = 3;
        group.setLayout(gridLayout2);
        
        final Button excludeTestPackagesButton = new Button(group, SWT.CHECK);
        gridData = new GridData(SWT.LEFT, SWT.TOP, true, false);
        excludeTestPackagesButton.setLayoutData(gridData);
        excludeTestPackagesButton.setText(" exclude test packages");
        excludeTestPackagesButton.setSelection(excludeTestPackages);
        excludeTestPackagesButton.addSelectionListener(new SelectionAdapter() {
            public void widgetSelected(SelectionEvent e) {
            	excludeTestPackages = excludeTestPackagesButton.getSelection();
            }
        });

        final Text textTypeName = new Text(group, SWT.SINGLE | SWT.LEFT | SWT.BORDER);
        gridData = new GridData(SWT.FILL, SWT.FILL, true, false);
        textTypeName.setLayoutData(gridData);
        textTypeName.setText(excludePathFragment);    
        textTypeName.addModifyListener(new ModifyListener() {
			public void modifyText(ModifyEvent e) {
            	excludePathFragment = textTypeName.getText();
            }
            
        });
        

        return composite;
    }

    /**
     * @return
     */
    public boolean checkOpen() {
        return open() == 0;
    }

    protected void buttonPressed(int buttonId) {
        // TODO Auto-generated method stub
        super.buttonPressed(buttonId);
    }    

}
